ao32Lib.a:  ao32aaLib.inc \
			print.o \
			h32Data.o h32Data.o h32ToStr.o h32ToStr_.o \
			h32ToStrNLZ.o h32ToStr_NLZ.o h32ToStrB.o h32ToStr_B.o \
			h32ToStrW.o h32ToStr_W.o h32FmtStr.o h32FmtStr_.o \
			h32FmtStrNLZ.o h32PadStr.o h32FmtStrNLZ.o h32FmtStr_NLZ.o\
			h32FmtStrB.o h32FmtStr_B.o h32FmtStrW.o h32FmtStr_W.o \
			u32ToBuf.o u32ToStr.o u32Digits.o u32FmtStr.o \
			i32ToStr.o i32FmtStr.o i32ToBuf.o \
			u64ToStr.o u64FmtStr.o u64ToBuf.o u64Digits.o \
			i64ToStr.o i64FmtStr.o i64ToBuf.o \
			expToBuf.o e64ToStr.o FPdigits.o r64ToStr.o \
			e32ToStr.o SPDigits.o r32ToStr.o \
			strToH32.o strToU32.o strToH64.o strToU64.o strToR64.o strToR32.o 					 					
			
	ar rcs	ao32Lib.a print.o h32Data.o h32ToStr.o h32ToStr_.o \
			h32ToStrNLZ.o h32ToStr_NLZ.o h32ToStrB.o h32ToStr_B.o \
			h32ToStrW.o h32ToStr_W.o h32FmtStr.o h32FmtStr_.o \
			h32FmtStrNLZ.o h32PadStr.o h32FmtStrNLZ.o h32FmtStr_NLZ.o \
			h32FmtStrB.o h32FmtStr_B.o h32FmtStrW.o  h32FmtStr_W.o \
			u32ToBuf.o u32ToStr.o u32Digits.o u32FmtStr.o \
			i32ToStr.o i32FmtStr.o i32ToBuf.o \
			u64ToStr.o u64FmtStr.o u64ToBuf.o u64Digits.o \
			i64ToStr.o i64FmtStr.o i64ToBuf.o \
			expToBuf.o e64ToStr.o FPdigits.o r64ToStr.o \
			e32ToStr.o SPDigits.o r32ToStr.o \
			strToH32.o strToU32.o strToH64.o strToU64.o strToR64.o strToR32.o 					 					

CFLAGS=-mthumb-interwork -I.. -march=armv8-a+simd -mfpu=neon-fp-armv8 -mfloat-abi=hard -c

print.o: print.S ao32aaLib.inc
	gcc $(CFLAGS) -o print.o print.S

h32ToStr.o: h32ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStr.o h32ToStr.S

h32FmtStr.o: h32FmtStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStr.o h32FmtStr.S

h32ToStr_.o: h32ToStr_.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStr_.o h32ToStr_.S

h32FmtStr_.o: h32FmtStr_.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStr_.o h32FmtStr_.S

h32ToStrNLZ.o: h32ToStrNLZ.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStrNLZ.o h32ToStrNLZ.S

h32FmtStrNLZ.o: h32FmtStrNLZ.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStrNLZ.o h32FmtStrNLZ.S

h32ToStr_NLZ.o: h32ToStr_NLZ.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStr_NLZ.o h32ToStr_NLZ.S

h32FmtStr_NLZ.o: h32FmtStr_NLZ.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStr_NLZ.o h32FmtStr_NLZ.S

h32ToStrB.o: h32ToStrB.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStrB.o h32ToStrB.S

h32FmtStrB.o: h32FmtStrB.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStrB.o h32FmtStrB.S

h32ToStr_B.o: h32ToStr_B.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStr_B.o h32ToStr_B.S

h32FmtStr_B.o: h32FmtStr_B.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStr_B.o h32FmtStr_B.S

h32ToStrW.o: h32ToStrW.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStrW.o h32ToStrW.S

h32FmtStrW.o: h32FmtStrW.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStrW.o h32FmtStrW.S

h32ToStr_W.o: h32ToStr_W.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32ToStr_W.o h32ToStr_W.S

h32FmtStr_W.o: h32FmtStr_W.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32FmtStr_W.o h32FmtStr_W.S

h32PadStr.o: h32PadStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32PadStr.o h32PadStr.S

h32Data.o: h32Data.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -o h32Data.o h32Data.S


	
u32ToBuf.o: u32ToBuf.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u32ToBuf.o u32ToBuf.S 
	
u32ToStr.o: u32ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u32ToStr.o u32ToStr.S 
	
u32FmtStr.o: u32FmtStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u32FmtStr.o u32FmtStr.S 
	
u32Digits.o: u32Digits.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u32Digits.o u32Digits.S 


	
	
u64ToStr.o: u64ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u64ToStr.o u64ToStr.S 
	
u64FmtStr.o: u64FmtStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u64FmtStr.o u64FmtStr.S 
	
u64ToBuf.o: u64ToBuf.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u64ToBuf.o u64ToBuf.S 
	
u64Digits.o: u64Digits.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o u64Digits.o u64Digits.S 


	
i32ToStr.o: i32ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o i32ToStr.o i32ToStr.S 
	
i32FmtStr.o: i32FmtStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o i32FmtStr.o i32FmtStr.S 
	
i32ToBuf.o: i32ToBuf.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o i32ToBuf.o i32ToBuf.S 
	

	
i64ToStr.o: i64ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o i64ToStr.o i64ToStr.S 

i64FmtStr.o: i64FmtStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o i64FmtStr.o i64FmtStr.S 

i64ToBuf.o: i64ToBuf.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o i64ToBuf.o i64ToBuf.S 


	
r32ToStr.o: r32ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o r32ToStr.o r32ToStr.S 

332ToStr.o: 332ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o 332ToStr.o 332ToStr.S 
	
SPDigits.o: SPDigits.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o SPDigits.o SPDigits.S 


	
r64ToStr.o: r64ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o r64ToStr.o r64ToStr.S 
	
e64ToStr.o: e64ToStr.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o e64ToStr.o e64ToStr.S 
	
expToBuf.o: expToBuf.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o expToBuf.o expToBuf.S 
	
FPdigits.o: FPdigits.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o FPdigits.o FPdigits.S 
	
	
strToH32.o: strToH32.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o strToH32.o strToH32.S 
	
strToH64.o: strToH64.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o strToH64.o strToH64.S 
	
strToU32.o: strToU32.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o strToU32.o strToU32.S 
	
strToU64.o: strToU64.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o strToU64.o strToU64.S 
	
strToR64.o: strToR64.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o strToR64.o strToR64.S 
	
strToR32.o: strToR32.S ao32aaLib.inc ao32aaLibPrivate.inc
	gcc $(CFLAGS) -c -o strToR32.o strToR32.S 
	

clean:
	rm -f *.o
	rm -f ao32Lib.a

