// tstLib.S
//
// Test file for ao32aaLib.

		#include	"ao32aa.inc"																									
        .fpu    	neon-vfpv4
        .arch   	armv8-a


		#include    "ao32aaLib.inc"

        
// Here's the title string that c.cpp will print:

        .data
title:  .asciz  "tstH32"

		.align	2
outBuf:	.space	256, '*'
		.byte	0
		
// Input strings:

strU32a: .asciz	"1"
strU32b: .asciz	"12"
strU32c: .asciz	"12e"
strU32d: .asciz	"12ef"
strU32e: .asciz	"1_2ef9"
strU32f: .asciz	"12_ef9a"
strU32g: .asciz	"12e_f9a0"
strU32h: .asciz	"12efd9a0"


// getTitle returns the address of a string in
// the R0 register. The c.cpp program will print
// this string before and after calling asmMain.

        .text
        .align  2
        
        proc    getTitle, thumb, public
        ldr     r0, =title
        bx      lr
        endp    getTitle
     
 
// Here's the assembly language main program:
        
        proc    asmMain, thumb, public
        push    {r0-r12, lr}
skipPool12:
	
// Test bufToU32:

		ldr		r4, =100000000
tstLp:
		ldr		r0, =strU32a
		bl		bufToH32
		ldr		r0, =strU32b
		bl		bufToH32
		ldr		r0, =strU32c
		bl		bufToH32
		ldr		r0, =strU32d
		bl		bufToH32
		ldr		r0, =strU32e
		bl		bufToH32
		ldr		r0, =strU32f
		bl		bufToH32
		ldr		r0, =strU32g
		bl		bufToH32
		ldr		r0, =strU32h
		bl		bufToH32
		subs	r4, r4, #1
		bne		tstLp
		
		bl		print
		wastr	"Timing complete\n"
				
        pop     {r0-r12, pc} 
        endp    asmMain
